import request from '@/utils/request'

// 查询app视频列表
export function listMxappVideo(query) {
  return request({
    url: '/mingxue/mxappVideo/list',
    method: 'get',
    params: query
  })
}

// 查询app视频详细
export function getMxappVideo(videoId) {
  return request({
    url: '/mingxue/mxappVideo/' + videoId,
    method: 'get'
  })
}

// 新增app视频
export function addMxappVideo(data) {
  return request({
    url: '/mingxue/mxappVideo',
    method: 'post',
    data: data
  })
}

// 修改app视频
export function updateMxappVideo(data) {
  return request({
    url: '/mingxue/mxappVideo',
    method: 'put',
    data: data
  })
}

// 删除app视频
export function delMxappVideo(videoId) {
  return request({
    url: '/mingxue/mxappVideo/' + videoId,
    method: 'delete'
  })
}

// 导出app视频
export function exportMxappVideo(query) {
  return request({
    url: '/mingxue/mxappVideo/export',
    method: 'get',
    params: query
  })
}